# Interface ByteReadable

All Known Implementing Classes:
  `HtmlInputStreamReader`

public interface ByteReadable
An interface for providing a method for reading a stream of bytes one byte at a time.

Version:
  $Id$
Author:
  hsivonen

## Method Summary

Modifier and Type
Method
Description
`int`
`readByte()`
Returns the value of the next byte as an integer from 0 to 0xFF or -1 if the stream has ended.

## Method Details

### readByte

int readByte() throws IOException
Returns the value of the next byte as an integer from 0 to 0xFF or -1 if the stream has ended.

Returns:
  integer from 0 to 0xFF or -1 on EOF
Throws:
  `IOException`